;InnoSetupVersion=5.2.3

[Setup]
AppName=System Tray Cleaner
AppVerName=System Tray Cleaner 3
AppId=STC2
AppPublisher=Innovative Solutions
AppPublisherURL=http://www.innovative-sol.com
AppSupportURL=http://www.innovative-sol.com
AppUpdatesURL=http://www.innovative-sol.com
DefaultDirName={pf}\Innovative Solutions\System Tray Cleaner
DefaultGroupName=System Tray Cleaner
OutputBaseFilename=in
Compression=lzma
LicenseFile=embedded\License.rtf
InfoBeforeFile=embedded\InfoBefore.rtf
WizardImageFile=embedded\WizardImage0.bmp
WizardSmallImageFile=embedded\WizardSmallImage0.bmp

[Files]
Source: "{app}\stop_all.exe"; DestDir: "{app}"; AfterInstall: "KillAll"; Flags: ignoreversion 
Source: "{app}\STC-Agreement.rtf"; DestDir: "{app}"; Flags: ignoreversion 
Source: "{app}\Readme\license.rtf"; DestDir: "{app}\Readme"; Flags: ignoreversion 
Source: "{app}\Readme\BeforeInstall.rtf"; DestDir: "{app}\Readme"; Flags: ignoreversion 
Source: "{app}\stc.exe"; DestDir: "{app}"; Flags: ignoreversion 

[Registry]
Root: HKCU; Subkey: "Software\Innovative Solutions\System Tray Cleaner"; Flags: uninsdeletekey deletekey 

[INI]
FileName: "{app}\stc.url"; Section: "InternetShortcut"; Key: "URL"; String: "http://www.innovative-sol.com"; 

[Run]
Filename: "{app}\stc.exe"; Parameters: "-INSTALL"; WorkingDir: "{app}"; Description: "Perform setup"; Flags: skipifdoesntexist nowait
Filename: "{app}\stc.exe"; Description: "Launch System Tray Cleaner"; Flags: postinstall skipifsilent nowait

[UninstallRun]
Filename: "{app}\stop_all.exe"; Parameters: "/STOP=stc.exe -DESC=""System Tray Cleaner"""; WorkingDir: "{app}"; 

[Icons]
Name: "{group}\System Tray Cleaner"; Filename: "{app}\stc.exe"; 
Name: "{group}\Other products by Innovative Solutions"; Filename: "{app}\stc.url"; 
Name: "{userdesktop}\System Tray Cleaner"; Filename: "{app}\stc.exe"; Tasks: desktopicon; 
Name: "{userappdata}\Microsoft\Internet Explorer\Quick Launch\System Tray Cleaner"; Filename: "{app}\stc.exe"; Tasks: quicklaunchicon; 
Name: "{group}\Uninstall"; Filename: "{uninstallexe}"; 

[Tasks]
Name: "desktopicon"; Description: "Create a &desktop icon"; GroupDescription: "Additional icons:"; 
Name: "quicklaunchicon"; Description: "Create a &Quick Launch icon"; GroupDescription: "Additional icons:"; 

[UninstallDelete]
Type: files; Name: "{app}\stc.url"; 

[CustomMessages]
default.NameAndVersion=%1 version %2
default.AdditionalIcons=Additional icons:
default.CreateDesktopIcon=Create a &desktop icon
default.CreateQuickLaunchIcon=Create a &Quick Launch icon
default.ProgramOnTheWeb=%1 on the Web
default.UninstallProgram=Uninstall %1
default.LaunchProgram=Launch %1
default.AssocFileExtension=&Associate %1 with the %2 file extension
default.AssocingFileExtension=Associating %1 with the %2 file extension...

[Languages]
; These files are stubs
; To achieve better results after recompilation, use the real language files
Name: "default"; MessagesFile: "embedded\default.isl"; 
